// CppGridDialogGenerator.h: interface for the CCppGridDialogGenerator class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(_CCSHARPGRIDDIALOGGENERATOR_H_)
#define _CCSHARPGRIDDIALOGGENERATOR_H_

#include "CSharpBaseGenerator.h"
#include "cmString.h"

class CCSharpGridDialogGenerator : public CCSharpBaseGenerator  
{
public:
	CCSharpGridDialogGenerator();
	virtual ~CCSharpGridDialogGenerator();

	virtual void Generate();

protected:

	/***
	virtual void GenerateHeader();
	virtual void GenerateImplementation();

	// header file generators
	//
	void Head_generateHeader();
	void Head_generateIfDefBegin();
	void Head_generateIncludeSection();
	void Head_generateDefineSection();
	void Head_generateForwardDeclarations();
	void Head_generateClassBegin();
	void Head_generateConstructor();
	void Head_generateDestructor();
	void Head_generatePublicMethods();
	void Head_generateDialogData();
	void Head_generateOverrides();
	void Head_generateMessageMap();
	void Head_generateProtectedMembers();
	void Head_generateDataMembers();
	void Head_generateUpdateWindowSize();
	void Head_generateSetupRow();
	void Head_generateClassEnd();
	void Head_generateIfDefEnd();

	// implementation file generators
	//
	void Impl_generateHeader();
	void Impl_generateIncludeSection();
	void Impl_generateDebugSymbols();
	void Impl_generateMainTitle();
	void Impl_generateConstructor();
	void Impl_generateDestructor();
	void Impl_generatePublicMethods();
	void Impl_generateProtectedMembers();
	void Impl_generateMessageMap();
	void Impl_generateOnInitDialog();
	void Impl_generateOnSize();
	void Impl_GenerateRowStore();
	void Impl_generateUpdateWindowSize();
	void Impl_generateSetupRow();

	cmString headCode_;
	cmString implCode_;

  ***/
};

#endif // !defined(_CCSHARPGRIDDIALOGGENERATOR_H_)
